Bug 51185 - base URI should be taken from Content-Location header in HTTP
Summary: base URI should be taken from Content-Location header in HTTP
Status: RESOLVED INTENTIONAL
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-25 17:57 UTC by bert
Modified: 2005-12-23 15:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bert 2002-11-25 17:57:34 UTC
Version:           unknown (using KDE 3.0.8 (KDE 3.1 beta2))
Installed from:    compiled sources
Compiler:          gcc version 2.95.3 20010315 (release)
OS:          Linux (i686) release 2.4.17

See http://jigsaw.w3.org/HTTP/CL/ for an explanation and a test page.

If an HTTP response includes a Content-Location header, the value of that header is the URL to use as the base for relative URLs in the retrieved document, instead of the URL that was used in the HTTP request. But Konqueror seems to ignore the Content-Location header.
Comment 1 Dawit Alemayehu 2002-12-01 01:06:45 UTC
Hi,

Patch posted to kde-core/kfm-devel for testing.  In case you are 
interested, you can find the patches here:

http://lists.kde.org/?l=kfm-devel&m=103870094201501&w=2

They need to be applied to 

kdelibs/kioslave/http/http.cc &
kdelibs/khtml/khtml_part.cpp


Regards,
Dawit A.
Comment 2 Dawit Alemayehu 2002-12-01 17:10:34 UTC
Fixed.  Will be backported to the KDE_3_1_BRANCH soon.
Thanks for the report.

Regards,
Dawit A.
Comment 3 Dawit Alemayehu 2005-12-23 14:41:44 UTC
This bug cannot be fixed because it breaks with far too many web sites that incorrectly send back a bogous Content-Location header. See bug# 82747 for the relevant discussions...
Comment 4 Dawit Alemayehu 2005-12-23 14:42:55 UTC
Reverted. See comment #3.
Comment 5 Thiago Macieira 2005-12-23 15:53:00 UTC
Shouldn't this be LATER, as per your message on kfm-devel?

> Anyways, the code can be uncommented when all the clients and servers
> properly deal with this issue.

Then again, what you're asking for is exactly WONTFIX. Never will all clients and servers deal with this. The best we can hope for is a few clients doing TheRightThing and telling the stupid webmasters to fix their configuration already.